# eric7.WebBrowser.GreaseMonkey.GreaseMonkeyDownloader

Module implementing the downloader for GreaseMonkey scripts.

### Global Attributes

None

### Classes

GreaseMonkeyDownloader | Class implementing the downloader for GreaseMonkey scripts.

### Functions

None

## GreaseMonkeyDownloader

Class implementing the downloader for GreaseMonkey scripts.

### Signals

error()
  emitted to indicate a script download error
finished(fileName)
  emitted to indicate the end of a script download (str)

### Derived from

QObject

### Class Attributes

DownloadMainScript
DownloadRequireScript

### Class Methods

None

### Methods

GreaseMonkeyDownloader | Constructor
__requireDownloaded | Private slot to handle the finished download of a required script.
__scriptDownloaded | Private slot to handle the finished download of a script.
updateScript | Public method to set the file name for the script to be downloaded.

### Static Methods

None

#### GreaseMonkeyDownloader (Constructor)

GreaseMonkeyDownloader(url, manager, mode)

Constructor

url (QUrl)
  URL to download script from
manager (GreaseMonkeyManager)
  reference to the GreaseMonkey manager
mode (int (one of DownloadMainScript, DownloadRequireScript))
  download mode

#### GreaseMonkeyDownloader.__requireDownloaded

__requireDownloaded()

Private slot to handle the finished download of a required script.

#### GreaseMonkeyDownloader.__scriptDownloaded

__scriptDownloaded()

Private slot to handle the finished download of a script.

#### GreaseMonkeyDownloader.updateScript

updateScript(fileName)

Public method to set the file name for the script to be downloaded.

fileName (str)
  file name for the script

Up